<template>
  <div class="container">
    <div class="text-center pt-4">
      <h2>
        <b>Verification</b>
      </h2>
    </div>
    <form>
      <div class="mb-3">
        <label for="exampleInputEmail1" class="form-label">Kode OTP</label>
        <input type="number" class="form-control" v-model="kodeOTP" required >
        <div class="form-text text-danger" v-if="msg.kodeOTP">
          {{ msg.kodeOTP }}
        </div>
      </div>
      <button type="button" @click="submit" class="btn btn-success">
        Generate OTP
      </button>
    </form>
  </div>
</template>

<script>
import { mapGetters } from "vuex";
import { mapMutations } from "vuex";

export default {
  name: "login",
  data() {
    return {
      typeFormPass: true,
      kodeOTP: "",
      password: "",
      msg: [],
      type: "password",
    };
  },
  watch: {
    kodeOTP(value) {
      this.kodeOTP = value;
      this.validatekodeOTP(value);
    },
  },

  computed: {
    ...mapGetters({
      transactions: "auth/transactions",
      user: "auth/user",
      alert: "alert/alert",
      alertError: "alert/alertError",
      alertText: "alert/alertText",
    }),
  },

  methods: {
    ...mapMutations({
      setAuth: "auth/set",
      setIsLogin: "auth/setisLogin",
      getAlert: "alert/getAlert",
      closeAlert: "alert/closeAlert",
    }),


    submit() {
      let formData = {
        otp: this.kodeOTP,
      };

      axios({
        method: "post",
        url: "/api/Auth/Verification",
        data: formData,
      })
        .then((response) => {
          let dataUserLogin = response.data;
        //   this.getAlert(dataUserLogin.Response_message);
          this.getAlert("Verifikasi Kode OTP berhasil, silahkan Lakukan Update Password");
          this.$router.push("/Update-Password");
        })
        .catch((error) => {
          alert("catch error");
          console.log(error);
        });
    },

    validatekodeOTP(value) {
      if (value.length === 0) {
        this.msg["kodeOTP"] = " kode OTP is Required";
      } else {
        this.msg["kodeOTP"] = "";
      }
    },
  },
};
</script>
